ros-humble-ament-cmake-target-dependencies (1.3.10-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 26 Jul 2024 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.9-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 15 May 2024 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.8-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 16 Feb 2024 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.7-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Nov 2023 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 22 Jun 2023 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 May 2022 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.2.1-1jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Fix bug packages with multiple configurations (#318 <https://github.com/ament/ament_cmake/issues/318>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 04:59:00 -0000

ros-humble-ament-cmake-target-dependencies (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 01:12:00 -0000

ros-humble-ament-cmake-target-dependencies (1.1.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.0.2-1jammy) jammy; urgency=high

  * Force SYSTEM keyword in ament_target_dependencies() at the start. (#303 <https://github.com/ament/ament_cmake/issues/303>)
  * Add SYSTEM keyword option to ament_target_dependencies (#297 <https://github.com/ament/ament_cmake/issues/297>)
    * Add SYSTEM keyword option to ament_target_dependencies
    * Add documentation of SYSTEM keyword for ament_target_dependencies
  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Andre Nguyen, Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Sep 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (1.0.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 22 Jul 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.6-1jammy) jammy; urgency=high

  * ordered interface include dirs and use privately to ensure workspace order (#260 <https://github.com/ament/ament_cmake/issues/260>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 23 Jun 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Jun 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.4-1jammy) jammy; urgency=high

  * add ament_get_recursive_properties (#259 <https://github.com/ament/ament_cmake/issues/259>)
    * add ament_get_recursive_properties
    * fix spelling in docblock
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 19 May 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.2-1jammy) jammy; urgency=high

  * redo use _TARGETS over deprecated _INTERFACES over classic CMake variables (#251 <https://github.com/ament/ament_cmake/issues/251>)
    * redo use _TARGETS over deprecated _INTERFACES over classic CMake variables
    * update ament_export_dependencies accordingly
    * also add IMPORTED_LOCATION to the libraries
    * simplify conditions
    * consider IMPORTED_IMPLIB for Windows
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 20:45:00 -0000

ros-humble-ament-cmake-target-dependencies (0.9.0-1jammy) jammy; urgency=high

  * Revert "use _TARGETS over deprecated _INTERFACES over classic CMake variables (#249 <https://github.com/ament/ament_cmake/issues/249>)" (#250 <https://github.com/ament/ament_cmake/issues/250>)
    This reverts commit 1abe330837cf98632225e4af23ac610af863fb3e.
  * use _TARGETS over deprecated _INTERFACES over classic CMake variables (#249 <https://github.com/ament/ament_cmake/issues/249>)
    * use _TARGETS over deprecated _INTERFACES over classic CMake variables
    * fix spelling of variable
  * interface targets don't support compile definitions and LINK_FLAGS (#247 <https://github.com/ament/ament_cmake/issues/247>)
  * Handle non-library tokens in _LIBRARIES. (#248 <https://github.com/ament/ament_cmake/issues/248>)
    * Handle non-library tokens in _LIBRARIES.
    * Drop spaces on  clauses.
  * Use _LIBRARY_DIRS in ament_target_dependencies() (#245 <https://github.com/ament/ament_cmake/issues/245>)
  * add INTERFACE option to ament_target_dependencies() (#246 <https://github.com/ament/ament_cmake/issues/246>)
  * use modern interface targets if available, otherwise classic variables (#235 <https://github.com/ament/ament_cmake/issues/235>)
    * use modern interface targets if available, otherwise classic variables, support interface keyword
    * remove INTERFACE keyword for now
  * consider exported interfaces in ament_target_dependencies (#232 <https://github.com/ament/ament_cmake/issues/232>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 24 Apr 2020 17:25:00 -0000

ros-humble-ament-cmake-target-dependencies (0.8.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.8.0-1jammy) jammy; urgency=high

  * Quote variable to avoid odd cmake if behavior (#180 <https://github.com/ament/ament_cmake/issues/180>)
  * Contributors: Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.7.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.7.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.7.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.7.0-1jammy) jammy; urgency=high

  * Added PUBLIC option to ament_target_dependencies (#161 <https://github.com/ament/ament_cmake/issues/161>)
    * Added PUBLIC option to ament_target_dependencies
    * Corrected with PR comments.
    * simplify patch
  * Contributors: ivanpauno

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 08 Apr 2019 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.6.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 06:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.5.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 13 Jun 2018 05:00:00 -0000

ros-humble-ament-cmake-target-dependencies (0.4.0-1jammy) jammy; urgency=high

  * 0.0.3
  * 0.0.2
  * Merge pull request #71 <https://github.com/ament/ament_cmake/issues/71> from ament/export_link_flags
    add ament_cmake_export_link_flags package and use link flags in ament_target_dependencies
  * add ament_cmake_export_link_flags package and use link flags in ament_target_dependencies
  * update schema url
  * add schema to manifest files
  * Merge pull request #72 <https://github.com/ament/ament_cmake/issues/72> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * add explicit build type
  * disable debug output
  * add missing copyright / license information, update format of existing license information
  * Merge pull request #3 <https://github.com/ament/ament_cmake/issues/3> from ament/windows
    Windows Support
  * [windows] fixed installation of dll's
  * use project(.. NONE)
  * refactor several low-level packages into ament_cmake_core (environment, environment_hooks, index, package_templates, symlink_install)
  * invert dependency between ament_cmake_environment and ament_cmake_environment_hooks, add dependency on ament_cmake_environment
  * add ament_cmake_include_directories
  * add ament_cmake_libraries
  * add ament_cmake_target_dependencies
  * Contributors: Dirk Thomas, William Woodall

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


